#include "Wire.h"

Wire::Wire(CircuitElement* input, CircuitElement* output)
    :   mInput(input),
        mOutput(output)
{

}

CircuitElement* Wire::getInput() const
{
    return mInput;
}

CircuitElement* Wire::getOutput() const
{
    return mOutput;
}